Bug 457192 - samba-client: manual page of smbclient is incomplete/incorrect
samba-client: manual page of smbclient is incomplete/incorrect
Status: CLOSED ERRATA
Product: Red Hat Enterprise Linux 5
Classification: Red Hat
Component: samba (Show other bugs)
5.2
All Linux
low Severity low
: rc
: ---
Assigned To: Guenther Deschner
BaseOS QE - Apps
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-07-30 03:40 EDT by Ales Zelinka
Modified: 2010-03-30 05:03 EDT (History)
4 users (show)

See Also:
Fixed In Version: samba-3.0.33-3.24.el5
Doc Type: Bug Fix
Doc Text:
previously, the man pages and usage messages for rpcclient, smbcacls, samba-client, smbget, smbtree, and pdbedit contained errors, omissions, and outdated information. Users could not therefore rely on the provided documentation to use these programs. The documentation for each of these components has been reviewed and corrected and no longer contains misleading information.
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-03-30 05:03:24 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
complete log from option-comparator utilities (2.49 KB, application/octet-stream)
2008-07-30 03:40 EDT, Ales Zelinka
no flags Details

  None (edit)
Description Ales Zelinka 2008-07-30 03:40:55 EDT
Description of problem:
1) manual page of smbclient does not mention longer versions of following
command line options: -c (--command), -s (--configfile), -D (--directory), 
-I (--ip-address), -k (--kerberos), -L (--list), -P (--machine-pass),
-M (--message), -R (--name-resolve), -n (--netbiosname), -p (--port),
-i (--scope), -b (--send-buffer), -O (--socket-options), -E (--stderr),
-T (--tar), -t (--terminal)

2) --logfile is stated as a long version of -l option but --log-basename is
actually recognized by the binary

3)following options are not covered by the man page at all:
-g --grepable, -m --max-protocol, -N --no-pass (-N is mentioned but it doesn't
have its own section), -S --signing

Version-Release number of selected component (if applicable):
samba-client-3.0.28-1.el5_2.2.i386

How reproducible:
always

Steps to Reproduce:
compare manpage to smbclient --help

Additional info:
Used Milos Malik's option-comparator to do the options analysis. See
attachment for complete output.
Comment 1 Ales Zelinka 2008-07-30 03:40:56 EDT
Created attachment 312967 [details]
complete log from option-comparator utilities
Comment 9 Ruediger Landmann 2010-03-22 11:29:50 EDT
Technical note added. If any revisions are required, please edit the "Technical Notes" field
accordingly. All revisions will be proofread by the Engineering Content Services team.

New Contents:
previously, the man pages and usage messages for rpcclient, 
smbcacls, samba-client, smbget, smbtree, and pdbedit contained 
errors, omissions, and outdated information. Users could not
therefore rely on the provided documentation to use these programs. 
The documentation for each of these components has been reviewed and 
corrected and no longer contains misleading information.
Comment 10 errata-xmlrpc 2010-03-30 05:03:24 EDT
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on therefore solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHBA-2010-0300.html

Note You need to log in before you can comment on or make changes to this bug.